
Redmine - Defect #16755

Field set as read-only still available in the issues list context menu

2014-04-25 17:15 - Ty You

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: Issues workflow Estimated time: 0.00 hour

Target version: 2.5.2   

Resolution: Fixed Affected version: 2.3.2

Description

I have created a custom field and set it to be read-only for my "Client" role across all statuses.  When a user is assigned to (only) this

role and updates a ticket the field no longer shows, as expected.  However, the same user can still change the field from the context

menu on the main issues list.

I am using 2.3.2.stable, any suggestions?

Associated revisions

Revision 13124 - 2014-05-02 09:32 - Jean-Philippe Lang

Field set as read-only still available in the issues list context menu (#16755).

Revision 13161 - 2014-05-24 18:36 - Jean-Philippe Lang

Merged r13124 (#16755).

History

#1 - 2014-05-02 09:33 - Jean-Philippe Lang

- Subject changed from Field set as read-only still available to edit in issues list context menu to Field set as read-only still available in the issues list

context menu

- Status changed from New to Resolved

- Assignee set to Jean-Philippe Lang

- Target version set to 2.5.2

- Resolution set to Fixed

The field shows up in the context menu but the update would not work anyway.

This is fixed in r13124, thanks for pointing this out.

#2 - 2014-05-24 18:36 - Jean-Philippe Lang

- Status changed from Resolved to Closed

Merged.
